# define driver name, version and release
%define		drvname	xtables-addons
%define		drvver	2.5
%define		drvrel	1.mga4
%define		url	http://xtables-addons.sourceforge.net/

# define core kernel version we build against
%define 	kernver		3.14.18
%define		kernrel		3.mga4

# where to build
%define		topdir		${RPM_BUILD_DIR}/%{name}-%{_arch}

# source package
Name:		kmod-%{drvname}
Version:	%{drvver}
Release:	%mkrel 3
Summary:	Prebuilt %{drvname} modules for kernel-%{kernver}-%{kernrel}
License:	GPLv2
URL:		%{url}
Group:		System/Kernel and hardware
ExclusiveArch:	%{ix86} x86_64

BuildRequires:	dkms-%{drvname} = %{drvver}-%{drvrel}
%ifarch %{ix86}
BuildRequires:	kernel-desktop586-devel-%{kernver}-%{kernrel}
%endif
BuildRequires:	kernel-desktop-devel-%{kernver}-%{kernrel}
BuildRequires:	kernel-server-devel-%{kernver}-%{kernrel}

%description
This package creates prebuilt %{drvname} kernel modules for core kernel.


# obsoletes prebuilt -netbook-latest modules with matching -desktop-latest
%define latest_obsoletes_desktop %{drvname}-kernel-netbook-latest < 1.47.1-2
%define latest_provides_desktop  %{drvname}-kernel-netbook-latest = %{drvver}-%{release}

##### mkflavour() ala core kernel #####
%define mkflavour()								\
%package -n %{drvname}-kernel-%{kernver}-%{1}-%{kernrel}			\
Summary:	%{drvname} driver for kernel-%{1}-%{kernver}-%{kernrel}		\
License:	GPLv2								\
URL:		%{url}								\
Group:		System/Kernel and hardware					\
Requires(post): dkms-minimal							\
Requires(preun): dkms-minimal							\
Requires:	kernel-%{1}-%{kernver}-%{kernrel}				\
Requires(post):	kernel-%{1}-%{kernver}-%{kernrel}				\
Requires(preun): kernel-%{1}-%{kernver}-%{kernrel}				\
Suggests:	%{drvname}-kernel-%{1}-latest					\
%ifarch %{ix86}									\
Conflicts:	arch(x86_64)							\
%endif										\
										\
%description -n %{drvname}-kernel-%{kernver}-%{1}-%{kernrel}			\
Prebuilt dkms binary kernel modules for the %{drvname} driver version %{drvver} \
built for kernel-%{1}-%{kernver}-%{kernrel}.					\
										\
%files -n %{drvname}-kernel-%{kernver}-%{1}-%{kernrel}				\
%dir /var/lib/dkms-binary/%{drvname}/%{drvver}-%{drvrel}/%{kernver}-%{1}-%{kernrel} \
/var/lib/dkms-binary/%{drvname}/%{drvver}-%{drvrel}/%{kernver}-%{1}-%{kernrel}/* \
										\
%post -n %{drvname}-kernel-%{kernver}-%{1}-%{kernrel}				\
%{_sbindir}/dkms install --binary -m %{drvname} -v %{drvver}-%{drvrel} -k %{kernver}-%{1}-%{kernrel} --rpm_safe_upgrade \
%{_sbindir}/dkms status -m %{drvname} -v %{drvver}-%{drvrel}			\
										\
%preun -n %{drvname}-kernel-%{kernver}-%{1}-%{kernrel}				\
%{_sbindir}/dkms uninstall --binary -m %{drvname} -v %{drvver}-%{drvrel} -k %{kernver}-%{1}-%{kernrel} --rpm_safe_upgrade \
										\
										\
%package -n %{drvname}-kernel-%{1}-latest					\
Summary:	Virtual rpm for latest %{drvname}-kernel-%{1} driver		\
License:	GPLv2								\
URL:		%{url}								\
Group:		System/Kernel and hardware					\
Requires:	%{drvname}-kernel-%{kernver}-%{1}-%{kernrel} = %{version}-%{release} \
%{expand:%%{?latest_obsoletes_%{1}:Obsoletes: %{latest_obsoletes_%{1}}}}	\
%{expand:%%{?latest_provides_%{1}:Provides: %{latest_provides_%{1}}}}		\
%ifarch %{ix86}									\
Conflicts:	arch(x86_64)							\
%endif										\
										\
%description -n %{drvname}-kernel-%{1}-latest					\
This package is a virtual rpm that aims to make sure you always have the	\
latest prebuilt %{drvname} driver for kernel-%{1}.				\
										\
%files -n %{drvname}-kernel-%{1}-latest

%ifarch %{ix86}
%mkflavour desktop586
%endif

%mkflavour desktop
%mkflavour server


%prep
rm -rf %{topdir}

%build
%{_sbindir}/dkms add -m %{drvname} -v %{drvver}-%{drvrel} --dkmstree %{topdir}/var/lib/dkms-binary
%ifarch %{ix86}
%{_sbindir}/dkms build --no-prepare-kernel --no-clean-kernel -m %{drvname} -v %{drvver}-%{drvrel} \
	    -k %{kernver}-desktop586-%{kernrel} --kernelsourcedir /usr/src/kernel-%{kernver}-desktop586-%{kernrel} \
	    --dkmstree %{topdir}/var/lib/dkms-binary
%endif
for flavour in desktop server; do
    %{_sbindir}/dkms build --no-prepare-kernel --no-clean-kernel -m %{drvname} -v %{drvver}-%{drvrel} \
		-k %{kernver}-$flavour-%{kernrel} --kernelsourcedir /usr/src/kernel-%{kernver}-$flavour-%{kernrel} \
		--dkmstree %{topdir}/var/lib/dkms-binary
done

%install
mkdir -p %{buildroot}/var/lib/dkms-binary/%{drvname}/%{drvver}-%{drvrel}
cp -a %{topdir}/var/lib/dkms-binary/%{drvname}/%{drvver}-%{drvrel}/%{kernver}-*-%{kernrel} \
      %{buildroot}/var/lib/dkms-binary/%{drvname}/%{drvver}-%{drvrel}/
for dir in %{buildroot}/var/lib/dkms-binary/%{drvname}/%{drvver}-%{drvrel}/%{kernver}-*-%{kernrel}; do
    cp -a /usr/src/%{drvname}-%{drvver}-%{drvrel}/dkms.conf $dir/
    xz -6e $dir/*/module/*.ko ||:
done


%changelog
* Sat Sep 13 2014 tmb <tmb> 2.5-3.mga4
+ Revision: 675019
- rebuild for kernel-3.14.18-3.mga4
- rebuild for kernel-3.14.17-2.mga4
- rebuild for kernel-3.14.17-1.mga4
- rebuild for kernel-3.12.25-3.mga4
- rebuild for kernel-3.12.25-2.mga4
- rebuild for 3.12.25-1.mga4
- rebuild for kernel-3.12.21-2.mga4
- rebuild for kernel-3.12.21-1.mga4
- rebuild for kernel-3.12.20-1.mga4
- rebuild for kernel-3.12.18-1.mga4
- rebuild for kernel-3.12.13-2.mga4
- rebuild for kernel-3.12.13-1.mga4

* Fri Jan 24 2014 tmb <tmb> 2.3-40.mga4
+ Revision: 568007
- rebuild for kernel-3.12.8-2.mga4

* Sun Jan 19 2014 tmb <tmb> 2.3-39.mga4
+ Revision: 566920
- rebuild for kernel-3.12.8-1.mga4

* Mon Jan 13 2014 tmb <tmb> 2.3-38.mga4
+ Revision: 566428
- rebuild for kernel-3.12.7-1.mga4

* Thu Jan 09 2014 tmb <tmb> 2.3-37.mga4
+ Revision: 566005
- rebuild for kernel-3.12.6-5.mga4

* Tue Jan 07 2014 tmb <tmb> 2.3-36.mga4
+ Revision: 565408
- rebuild for kernel-3.12.6-4.mga4

* Sat Jan 04 2014 tmb <tmb> 2.3-35.mga4
+ Revision: 564475
- rebuild for kernel-3.12.6-3.mga4

* Sun Dec 29 2013 tmb <tmb> 2.3-34.mga4
+ Revision: 563046
- rebuild for kernel-3.12.6-2.mga4

* Fri Dec 20 2013 tmb <tmb> 2.3-33.mga4
+ Revision: 559295
- rebuild for kernel-3.12.6-1.mga4

* Sun Dec 15 2013 tmb <tmb> 2.3-32.mga4
+ Revision: 556906
- rebuild for kernel-3.12.5-1.mga4

* Wed Dec 04 2013 tmb <tmb> 2.3-31.mga4
+ Revision: 555231
- rebuild for kernel-3.12.3-1.mga4

* Sat Nov 30 2013 tmb <tmb> 2.3-30.mga4
+ Revision: 554325
- rebuild for kernel-3.12.2-1.mga4

* Thu Nov 21 2013 tmb <tmb> 2.3-29.mga4
+ Revision: 552244
- rebuild for kernel-3.12.1-1.mga4

* Sun Nov 17 2013 tmb <tmb> 2.3-28.mga4
+ Revision: 551646
- rebuild for kernel-3.12.0-3.mga4

* Sat Nov 09 2013 tmb <tmb> 2.3-27.mga4
+ Revision: 550073
- rebuild for  kernel-3.12.0-2.mga4

* Mon Nov 04 2013 tmb <tmb> 2.3-26.mga4
+ Revision: 549339
- rebuild for kernel-3.12.0-1.mga4

* Sat Nov 02 2013 tmb <tmb> 2.3-25.mga4
+ Revision: 549154
- rebuild for kernel-3.12.0-0.rc7.2.mga4

* Thu Oct 31 2013 tmb <tmb> 2.3-24.mga4
+ Revision: 548498
- rebuild for kernel-3.12.0-0.rc7.1.mga4

* Sat Oct 26 2013 tmb <tmb> 2.3-23.mga4
+ Revision: 547175
- rebuild for kernel-3.12.0-0.rc6.2.mga4
- rebuild for kernel-3.12.0-0.rc6.1.mga4

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Wed Oct 16 2013 tmb <tmb> 2.3-20.mga4
+ Revision: 501624
- rebuild for kernel-3.12.0-0.rc5.2.mga4

* Mon Oct 14 2013 tmb <tmb> 2.3-19.mga4
+ Revision: 496907
- rebuild for kernel-3.12.0-0.rc5.1.mga4

* Thu Oct 03 2013 tmb <tmb> 2.3-18.mga4
+ Revision: 490984
- rebuild for kernel-3.11.4-1.mga4

* Mon Sep 30 2013 tmb <tmb> 2.3-17.mga4
+ Revision: 489605
- rebuild for kernel-3.11.2-2.mga4

* Fri Sep 27 2013 tmb <tmb> 2.3-16.mga4
+ Revision: 487621
- rebuild for kernel-3.11.2-1.mga4

* Wed Sep 25 2013 tmb <tmb> 2.3-15.mga4
+ Revision: 486411
- rebuild for kernel-3.11.1-1.mga4

* Tue Sep 03 2013 tmb <tmb> 2.3-14.mga4
+ Revision: 474688
- rebuild for kernel-3.10.10-3.mga4

* Fri Aug 30 2013 tmb <tmb> 2.3-13.mga4
+ Revision: 473479
- rebuild for kernel-3.10.10-2.mga4

* Thu Aug 29 2013 tmb <tmb> 2.3-12.mga4
+ Revision: 473088
- rebuild for kernel-3.10.10-1.mga4

* Wed Aug 21 2013 tmb <tmb> 2.3-11.mga4
+ Revision: 469183
- rebuild for kernel-3.10.9-1.mga4

* Sat Aug 17 2013 tmb <tmb> 2.3-10.mga4
+ Revision: 467182
- rebuild for kernel-3.10.7-1.mga4

* Mon Aug 12 2013 tmb <tmb> 2.3-9.mga4
+ Revision: 465878
- rebuild for kernel-3.10.6-1.mga4

* Sun Aug 11 2013 tmb <tmb> 2.3-8.mga4
+ Revision: 465480
- rebuild for kernel-3.10.5-4.mga4

* Mon Aug 05 2013 tmb <tmb> 2.3-7.mga4
+ Revision: 464043
- rebuild for kernel-3.10.5-3.mga4

* Mon Aug 05 2013 tmb <tmb> 2.3-6.mga4
+ Revision: 463823
- rebuild for kernel-3.10.5-2.mga4

* Sun Aug 04 2013 tmb <tmb> 2.3-5.mga4
+ Revision: 463616
- rebuild for kernel-3.10.5-1.mga4

* Mon Jul 29 2013 tmb <tmb> 2.3-4.mga4
+ Revision: 460470
- rebuild for kernel-3.10.4-1.mga4

* Fri Jul 26 2013 tmb <tmb> 2.3-3.mga4
+ Revision: 458448
- rebuild for kernel-3.10.3-1.mga4

* Mon Jul 22 2013 tmb <tmb> 2.3-2.mga4
+ Revision: 457050
- rebuild for kernel-3.10.2-1.mga4

* Mon Jul 15 2013 tmb <tmb> 2.3-1.mga4
+ Revision: 454788
- rebuild with xtables-addons-2.3-1.mga4
- rebuild for kernel-3.10.1-1.mga4

* Fri Jun 28 2013 tmb <tmb> 2.2-5.mga4
+ Revision: 447748
- rebuild for kernel-3.9.8-1.mga4

* Fri Jun 21 2013 tmb <tmb> 2.2-4.mga4
+ Revision: 445353
- rebuild for kernel-3.9.7-1.mga4

* Tue Jun 18 2013 tv <tv> 2.2-3.mga4
+ Revision: 444815
- rebuild for new kernel

* Wed Jun 05 2013 fwang <fwang> 2.2-2.mga4
+ Revision: 437516
- rebuild for new xtables-addons

* Sun Jun 02 2013 tmb <tmb> 2.2-1.mga4
+ Revision: 435210
- rebuild for xtables-addons-2.2-1.mga4
- rebuild for kernel-3.9.4-1.mga4

* Tue May 14 2013 tmb <tmb> 2.1-28.mga3
+ Revision: 413194
- rebuild for kernel-3.8.13-1.mga3

* Fri May 10 2013 tmb <tmb> 2.1-27.mga3
+ Revision: 412833
- rebuild for kernel-3.8.12-2.mga3

* Wed May 08 2013 tmb <tmb> 2.1-26.mga3
+ Revision: 412676
- rebuild for kernel-3.8.12-1.mga3

* Wed May 01 2013 tmb <tmb> 2.1-25.mga3
+ Revision: 411839
- rebuild for kernel-3.8.11-1.mga3

* Sat Apr 27 2013 tmb <tmb> 2.1-24.mga3
+ Revision: 411368
- rebuild for kernel-3.8.10-1.mga3

* Mon Apr 22 2013 tmb <tmb> 2.1-23.mga3
+ Revision: 410891
- rebuild for kernel-3.8.8-3.mga3

* Sat Apr 20 2013 tmb <tmb> 2.1-22.mga3
+ Revision: 410598
- rebuild for kernel-3.8.8-2.mga3

* Wed Apr 17 2013 tmb <tmb> 2.1-21.mga3
+ Revision: 410295
- rebuild for kernel-3.8.8-1.mga3

* Sat Apr 13 2013 tmb <tmb> 2.1-20.mga3
+ Revision: 409940
- rebuild for kernel-3.8.7-1.mga3

* Tue Apr 09 2013 tmb <tmb> 2.1-19.mga3
+ Revision: 409300
- rebuild for kernel-3.8.6-2.mga3

* Sun Apr 07 2013 tmb <tmb> 2.1-18.mga3
+ Revision: 408779
- rebuild for kernel-3.8.6-1.mga3

* Sat Mar 30 2013 tmb <tmb> 2.1-17.mga3
+ Revision: 406640
- rebuild for kernel-3.8.5-1.mga3

* Mon Mar 18 2013 tmb <tmb> 2.1-16.mga3
+ Revision: 403975
- rebuild for kernel-3.8.3-2.mga3

* Fri Mar 15 2013 tmb <tmb> 2.1-15.mga3
+ Revision: 403333
- rebuild for kernel-3.8.3-1.mga3

* Sat Mar 02 2013 tmb <tmb> 2.1-14.mga3
+ Revision: 401101
- rebuild for kernel-3.8.1-1.mga3

* Thu Feb 28 2013 tmb <tmb> 2.1-13.mga3
+ Revision: 400590
- rebuild for kernel-3.8.0-3.mga3

* Fri Feb 22 2013 tmb <tmb> 2.1-12.mga3
+ Revision: 399997
- rebuild for kernel-3.8.0-2.mga3

* Tue Feb 19 2013 tmb <tmb> 2.1-11.mga3
+ Revision: 399332
- rebuild for kernel-3.8.0-1.mga3

* Sat Feb 09 2013 tmb <tmb> 2.1-10.mga3
+ Revision: 397398
- rebuild for kernel-3.8.0-0.rc7.1.mga3

* Wed Feb 06 2013 tmb <tmb> 2.1-9.mga3
+ Revision: 394969
- rebuild for kernel-3.8.0-0.rc6.1.mga3

* Sun Jan 27 2013 tmb <tmb> 2.1-8.mga3
+ Revision: 392642
- rebuild for kernel-3.8.0-0.rc5.1.mga3

* Fri Jan 18 2013 tmb <tmb> 2.1-7.mga3
+ Revision: 389532
- rebuild for kernel-3.8.0-0.rc4.1.mga3

* Wed Jan 16 2013 tmb <tmb> 2.1-6.mga3
+ Revision: 388892
- rebuild for kernel-3.8.0-0.rc3.2.mga3

* Tue Jan 15 2013 fwang <fwang> 2.1-5.mga3
+ Revision: 388342
- rebuild for new driver

* Thu Jan 10 2013 tmb <tmb> 2.1-4.mga3
+ Revision: 344828
- rebuild for xtables-addons-2.1-2.mga3
- rebuild for kernel-3.8.0-0.rc3.1.mga3

* Sat Jan 05 2013 alien <alien> 2.1-2.mga3
+ Revision: 339386
- Rebuild for new xtables-addons
- Rebuild for new xtables-addons

  + tmb <tmb>
    - rebuild for kernel-3.7.1-1.mga3
    - rebuild for kernel-3.7.0-1.mga3

  + fwang <fwang>
    - rebuild for new xtables-addons

* Fri Dec 07 2012 tmb <tmb> 1.47.1-2.mga3
+ Revision: 327667
- build with xtables-addons-1.47.1-5.mga3
- fix obsolete version
- kernel-netbook is gone, so have -netbook-latest packages update to
  matching -desktop-latest
- rebuild for kernel-3.7.0-0.rc8.1.mga3

* Sat Nov 17 2012 tmb <tmb> 1.47.1-1.mga3
+ Revision: 319221
- ingore already compressed modules
- restore netbook build

  + fwang <fwang>
    - disable netbook flavour
    - bump req
    - rebuild for new xtables-addons

* Fri Nov 09 2012 fwang <fwang> 1.45-13.mga3
+ Revision: 316550
- rebuild for new kernel

* Sun Oct 28 2012 tmb <tmb> 1.45-12.mga3
+ Revision: 311240
- rebuild for kernel-3.6.4-1.mga3

* Sun Oct 21 2012 tmb <tmb> 1.45-11.mga3
+ Revision: 309023
- rebuild for kernel-3.6.3-1.mga3

* Thu Oct 18 2012 tmb <tmb> 1.45-10.mga3
+ Revision: 307886
- rebuild for kernel-3.6.2-1.mga3

* Sun Sep 30 2012 tmb <tmb> 1.45-9.mga3
+ Revision: 300740
- rebuild for kernel-3.5.5-0.rc1.1.mga3

* Sat Sep 15 2012 tmb <tmb> 1.45-8.mga3
+ Revision: 294148
- rebuild for kernel-3.5.4-1.mga3

* Tue Sep 11 2012 tmb <tmb> 1.45-7.mga3
+ Revision: 292398
- rebuild for kernel-3.5.3-3.mga3

* Thu Aug 30 2012 tmb <tmb> 1.45-6.mga3
+ Revision: 285706
- rebuild for kernel-3.5.3-2.mga3

* Sun Aug 26 2012 tmb <tmb> 1.45-5.mga3
+ Revision: 284292
- rebuild for kernel-3.5.3-1.mga3

* Thu Aug 16 2012 tmb <tmb> 1.45-4.mga3
+ Revision: 281611
- rebuild for kernel-3.5.2-1.mga3

* Sat Aug 11 2012 tmb <tmb> 1.45-3.mga3
+ Revision: 280506
- rebuild for kernel-3.5.1-1.mga3

* Sat Jul 28 2012 tmb <tmb> 1.45-2.mga3
+ Revision: 275097
- rebuild for kernel-3.5.0-1.mga3

* Sat Jul 21 2012 alien <alien> 1.45-1.mga3
+ Revision: 273179
- Rebuild for updated xtables-addons

* Fri Jul 20 2012 tmb <tmb> 1.41-16.mga3
+ Revision: 272923
- rebuild for kernel-3.4.6-1.mga3

* Thu Jul 19 2012 tmb <tmb> 1.41-15.mga3
+ Revision: 272426
- rebuild for kernel-3.4.5-1.mga3

* Sun Jul 01 2012 tmb <tmb> 1.41-14.mga3
+ Revision: 266259
- rebuild for kernel-3.4.4-2.mga3

* Wed Jun 27 2012 tmb <tmb> 1.41-13.mga3
+ Revision: 264261
- rebuild for kernel-3.4.4-1.mga3

* Wed Jun 20 2012 tmb <tmb> 1.41-12.mga3
+ Revision: 262335
- rebuild for kernel-3.4.3-1.mga3

* Sat Jun 09 2012 tmb <tmb> 1.41-11.mga3
+ Revision: 259039
- rebuild for kernel-3.4.2-1.mga3

* Tue Jun 05 2012 tmb <tmb> 1.41-10.mga3
+ Revision: 255756
- rebuild for kernel-3.4.1-1.mga3

* Mon May 28 2012 tmb <tmb> 1.41-9.mga3
+ Revision: 247918
- rebuild for kernel-3.4.1-0.rc1.1.mga3

* Thu May 17 2012 tmb <tmb> 1.41-8.mga2
+ Revision: 235860
- build for kernel-3.3.6-2.mga2

* Sun May 13 2012 tmb <tmb> 1.41-7.mga2
+ Revision: 235561
- build for kernel-3.3.6-1.mga2

* Thu May 10 2012 tmb <tmb> 1.41-6.mga2
+ Revision: 235206
- build for kernel-3.3.5-1.mga2

* Sat Apr 28 2012 tmb <tmb> 1.41-5.mga2
+ Revision: 233929
- rebuild for kernel-3.3.4-1.mga2

* Mon Apr 23 2012 tmb <tmb> 1.41-4.mga2
+ Revision: 232877
- rebuild for kernel-3.3.3-1.mga2

* Sun Apr 08 2012 alien <alien> 1.41-3.mga2
+ Revision: 229742
- rebuild for new xtables-addons

* Sun Apr 08 2012 fwang <fwang> 1.41-2.mga2
+ Revision: 229711
- rebuild for new xtabls-addons

* Fri Apr 06 2012 alien <alien> 1.41-1.mga2
+ Revision: 229391
- imported package kmod-xtables-addons

